package com.demo.chatai.adapter;


import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;


import com.demo.chatai.R;

import java.util.List;

public class QuationAdapter extends RecyclerView.Adapter<QuationAdapter.ViewHolder> {
    String TAG = "QuationAdapter";
    OnItemClickListener onItemClickListener;
    List<String> list;

    public interface OnItemClickListener {
        void onItemClick(String s);
    }

    public QuationAdapter(List<String> quationsList, OnItemClickListener listener) {
        this.list = quationsList;
        this.onItemClickListener = listener;
    }

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        LayoutInflater inflater = LayoutInflater.from(parent.getContext());
        View view = inflater.inflate(R.layout.item_questions, parent, false);
        return new ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull ViewHolder holder, int position) {
        holder.mTextView.setText(list.get(position));
        holder.mTextView.setOnClickListener(v -> {
            onItemClickListener.onItemClick(list.get(position));
        });
    }

    @Override
    public int getItemCount() {
        return list.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {
        public TextView mTextView;

        public ViewHolder(View itemView) {
            super(itemView);
            mTextView = itemView.findViewById(R.id.text);
        }
    }
}
